Bug 17056 - Broken symlinks in /usr/man/man*
Summary: Broken symlinks in /usr/man/man*
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-28 23:54 UTC by Michael Jennings (KainX)
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-28 23:54:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Jennings (KainX) 2000-08-28 23:54:35 UTC
The bash-1.14.7-22 package creates /usr/man/man1/sh.1.gz as a symlink to
bash.1.gz in the same directory.  Unfortunately, bash.1.gz is not created
by the bash-1.14.7-22 RPM or SRPM rebuild.  Thus, the daily cron process
which updates the whatis database complains about this situation, and its
complaints are mailed to root nightly.

Note that there are several packages with this same problem, but I could
only file the bug against a single package.  The error messages are:

./sh.1.gz: No such file or directory
./awk.1.gz: No such file or directory
./geqn.1.gz: No such file or directory
./gindxbib.1.gz: No such file or directory
./glookbib.1.gz: No such file or directory
./gnroff.1.gz: No such file or directory
./gpic.1.gz: No such file or directory
./grefer.1.gz: No such file or directory
./gsoelim.1.gz: No such file or directory
./gtbl.1.gz: No such file or directory
./gtroff.1.gz: No such file or directory
./manpath.1.gz: No such file or directory
./byacc.1.gz: No such file or directory
./ghostscript.1.gz: No such file or directory
./dlclose.3.gz: No such file or directory
./dlerror.3.gz: No such file or directory
./dlsym.3.gz: No such file or directory
./adduser.8.gz: No such file or directory
./grpconv.8.gz: No such file or directory
./grpunconv.8.gz: No such file or directory
./pwunconv.8.gz: No such file or directory
./mkfs.msdos.8.gz: No such file or directory

Comment 1 Bernhard Rosenkraenzer 2000-08-30 11:15:34 UTC
This has been fixed some months ago.


Note You need to log in before you can comment on or make changes to this bug.